<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/MessageCollection">
		<html>
			<head><title>fb-contrib: Bug Descriptions</title></head>
			<body background="true">
				<div style="position:absolute;top:0;left:0;width:256;height:65535;z-index:1;background-image:url(blend.jpg);">
				</div>

				<div style="position:absolute;top:20;left:20;z-index:2;">
					<h1>fb-contrib: Bug Descriptions</h1>
					
					<table border="1" width="100%">
						<xsl:for-each select="BugCode">
							<xsl:sort select="@abbrev"/>
							<xsl:call-template name="BugCode"/>
						</xsl:for-each>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="BugCode" name="BugCode">
		<xsl:call-template name="Pattern">
			<xsl:with-param name="abbrev"><xsl:value-of select="@abbrev"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="Pattern">
		<xsl:param name="abbrev"/>
			<xsl:for-each select="//BugPattern[starts-with(@type,$abbrev)]">
				<xsl:sort select="."/>
				<tr><td><b><xsl:value-of select="@type"/></b></td></tr>
				<xsl:variable name="desc1"><xsl:value-of select="normalize-space(Details/text())"/></xsl:variable>
				<xsl:variable name="desc2"><xsl:value-of select="substring($desc1, 9)"/></xsl:variable>
				<xsl:variable name="desc"><xsl:value-of select="substring($desc2, 0, string-length($desc2) - 3)"/></xsl:variable>
				<tr><td><xsl:copy-of select="$desc"/></td></tr>
			</xsl:for-each>
	</xsl:template>

</xsl:transform>